!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_1535) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1534) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1537) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1536) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1531) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1530) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1533) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb &
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_1532) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1539) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1538) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1401) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_1400) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1403) = -cb*cima
      coupl(nGC_1402) = -cima*sb
      coupl(nGC_1405) = cima*ee/sw
      coupl(nGC_1404) = cima*cw*ee/sw
      coupl(nGC_1407) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_1406) = -cima*cw*ee/sw**2d0
      coupl(nGC_1409) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1408) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_939) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_938) = -ca*cb**2d0*cima*vev1
      coupl(nGC_935) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                        - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_934) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb&
                       *l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                       l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 &
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_937) = -cima*sa*sb**2d0*vev2
      coupl(nGC_936) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_931) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_930) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_933) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_932) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_1249) = -2d0*cima*sb**4d0
      coupl(nGC_1248) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1243) = -cima*sb**4d0
      coupl(nGC_1242) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1241) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_1240) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1247) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_1246) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1245) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1244) = -cb**4d0*cima
      coupl(nGC_1294) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_349) = -ca*cb**2d0*cima*vev2
      coupl(nGC_347) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_345) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_343) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_168) = sqrt(2d0)*cb*ym1/2d0 + sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_169) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_162) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_163) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_160) = sqrt(2d0)*cb*ye1/2d0 + sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_161) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_166) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_167) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_164) = sqrt(2d0)*cb*ym2/2d0 - sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_165) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_1522) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1523) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1520) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1521) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1526) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                        **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*&
                        l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_1527) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1524) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_1525) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca&
                        *cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + &
                        ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 &
                         + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1528) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1529) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1418) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5&
                         - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 +   &
                        6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0* &
                        cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb** &
                        4d0 - l5*sb**4d0)
      coupl(nGC_1419) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1416) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_1417) = cima*ee/3d0
      coupl(nGC_1414) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_1415) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1412) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1413) = cima*ee/(3d0*cw)
      coupl(nGC_1410) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1411) = cima*ee*sw/(3d0*cw)
      coupl(nGC_908) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_909) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_1168) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_901) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_902) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_903) = -sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_905) = -sqrt(2d0)*sb/2d0
      coupl(nGC_906) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_907) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1258) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1250) = -2d0*cb**4d0*cima
      coupl(nGC_1251) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1252) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1253) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_1254) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1255) = -3d0*cima*sb**4d0
      coupl(nGC_1256) = -3d0*cb**4d0*cima
      coupl(nGC_1257) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1170) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/( &
                        2d0*cw*sw)
      coupl(nGC_593) = cima/(2d0*cMW)
      coupl(nGC_597) = -cima/(2d0*cMW)
      coupl(nGC_359) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_355) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_357) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_351) = cima*sa*sb**2d0*vev1
      coupl(nGC_353) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_179) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_178) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_171) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_170) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_173) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_172) = sqrt(2d0)*cb*ys2/2d0 - sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_175) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_174) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_177) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_176) = sqrt(2d0)*cb*yd12x2/2d0 + sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_1089) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1084) = -cb*cima
      coupl(nGC_1087) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1081) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1080) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1083) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_1082) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_1649) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1648) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0 &
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1647) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_1646) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1645) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1644) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1643) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1642) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1641) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1640) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_135) = -sqrt(2d0)*cb*yc1/2d0 - sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_137) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_131) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_133) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_1399) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1398) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1469) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1468) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1463) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1462) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1461) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1460) = ca**2d0*cb*cima*sb
      coupl(nGC_1467) = ca**2d0*cb*cima*sb
      coupl(nGC_1466) = -cb*cima*sa**2d0*sb
      coupl(nGC_1397) = cima*ee*(cb**2d0 + sb**2d0)/(2d0*cMW)
      coupl(nGC_1396) = cMW*cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_917) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_916) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_915) = -ca*cb**2d0*cima*vev1
      coupl(nGC_914) = -cima*sa*sb**2d0*vev2
      coupl(nGC_913) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_912) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*sa&
                       *sb**2d0)
      coupl(nGC_911) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca*&
                       cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*   &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1453) = cb*cima*sa**2d0*sb
      coupl(nGC_919) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_918) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5*&
                       sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb* &
                       l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
      coupl(nGC_1265) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1264) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1267) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1261) = cima*sb
      coupl(nGC_1260) = -cb*cima
      coupl(nGC_1263) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1262) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1269) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1268) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1067) = sqrt(2d0)*cb/2d0
      coupl(nGC_1066) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1065) = -sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1064) = -cb*cima
      coupl(nGC_1063) = cima*sb
      coupl(nGC_1062) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1061) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1060) = sqrt(2d0)*sb/2d0
      coupl(nGC_1069) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_1068) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw)
      coupl(nGC_99) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima&
                      *ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +  &
                      cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0&
                      *sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_98) = -cMW*cb**2d0*cima*cw*ee/(2d0*sw) + cMW*cb**2d0*cima*ee*sw&
                      /(2d0*cw) - cMW*cima*cw*ee*sb**2d0/(2d0*sw) + cMW*cima*ee&
                      *sb**2d0*sw/(2d0*cw)
      coupl(nGC_97) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw &
                       - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/ &
                      cw
      coupl(nGC_96) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw&
                      ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0&
                      *cw)
      coupl(nGC_95) = -cMZ*ca*cb*cima*cw*ee/(2d0*sw) - cMZ*ca*cb*cima*ee*sw/(  &
                      2d0*cw) - cMZ*cima*cw*ee*sa*sb/(2d0*sw) - cMZ*cima*ee*sa*&
                      sb*sw/(2d0*cw)
      coupl(nGC_94) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa* &
                      sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_93) = -cMZ*ca*cima*cw*ee*sb/(2d0*sw) - cMZ*ca*cima*ee*sb*sw/(  &
                      2d0*cw) + cMZ*cb*cima*cw*ee*sa/(2d0*sw) + cMZ*cb*cima*ee*&
                      sa*sw/(2d0*cw)
      coupl(nGC_92) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa&
                      /(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_91) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee* &
                      sa/(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_90) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_75) = -cMW*cb**2d0*ee/(2d0*sw) - cMW*ee*sb**2d0/(2d0*sw)
      coupl(nGC_74) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_77) = cMZ*cb**2d0*cima*ee/(2d0*sw) + cMZ*cima*ee*sb**2d0/(2d0* &
                      sw)
      coupl(nGC_76) = cMW*cb**2d0*ee/(2d0*sw) + cMW*ee*sb**2d0/(2d0*sw)
      coupl(nGC_71) = -cMW*ca*cb*cima*ee/(2d0*sw) - cMW*cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_70) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_73) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_72) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_79) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_78) = -cima*ee**2d0/sw**2d0
      coupl(nGC_1341) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_369) = -cb*cima*sa*sb*vev2
      coupl(nGC_363) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca* &
                       cb*l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*   &
                       vev1 + ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0&
                       *l3*sa*vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*   &
                       vev1 + l2*sa*sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
      coupl(nGC_365) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
      coupl(nGC_367) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_144) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_145) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
      coupl(nGC_146) = -cb*cima*ydo2 + cima*sb*ydo1
      coupl(nGC_147) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_140) = sqrt(2d0)*cb*yd13x3/2d0 + sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_141) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
      coupl(nGC_142) = -cb*cima*yb2 + cima*sb*yd13x3
      coupl(nGC_143) = sqrt(2d0)*cb*yb2/2d0 - sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_148) = sqrt(2d0)*cb*ydo2/2d0 - sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_149) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
      coupl(nGC_1098) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1099) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1092) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1093) = sqrt(2d0)*cb/2d0
      coupl(nGC_1090) = sqrt(2d0)*cb/2d0
      coupl(nGC_1091) = sqrt(2d0)*sb/2d0
      coupl(nGC_1096) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1097) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1094) = sqrt(2d0)*sb/2d0
      coupl(nGC_1095) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_1654) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1650) = cb**2d0*cima*sa*vev1
      coupl(nGC_1651) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1652) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1653) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3&
                        *sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1&
                         + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5&
                        *sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_1427) = ca*cima*sa*sb**2d0
      coupl(nGC_1426) = -ca*cb**2d0*cima*sa
      coupl(nGC_1425) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1424) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1423) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1422) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1386) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1384) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1385) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1382) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1383) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1380) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1381) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_1420) = -cb*cima*sb**3d0
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_1478) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_1472) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1473) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_1475) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1476) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1477) = -cima*sa**2d0*sb**2d0
      coupl(nGC_962) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb* &
                       l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_963) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb*&
                       l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_960) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_961) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb**&
                       2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*vev1 &
                        - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*sb** &
                       2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb &
                       **2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5*sa*  &
                       vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa&
                       *sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
      coupl(nGC_966) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_967) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_964) = -ca*cb*cima*sb*vev2
      coupl(nGC_965) = -cb*cima*sa*sb*vev1
      coupl(nGC_968) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*l3&
                       *sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5* &
                       sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 +  &
                       cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2  &
                        + l5*sa*sb**2d0*vev1)
      coupl(nGC_969) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*vev1&
                        - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1195) = -cima*ee*(ca*cb + sa*sb)/(4d0*cMW*sw)
      coupl(nGC_1272) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1273) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1270) = 2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1271) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1276) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_1277) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1274) = -cb**2d0*cima*sb**2d0
      coupl(nGC_1275) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_1278) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_1279) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1074) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1075) = -3d0*ca**4d0*cima
      coupl(nGC_1076) = -3d0*cima*sa**4d0
      coupl(nGC_1077) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1070) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1071) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_1072) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_1073) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1078) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1079) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_88) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_89) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_80) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_81) = -cima*cw*ee/sw
      coupl(nGC_82) = cima*cw*ee/sw
      coupl(nGC_83) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_84) = cima*ee*sw/(3d0*cw)
      coupl(nGC_85) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_86) = cima*ee*sw/cw
      coupl(nGC_87) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_66) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_67) = -cMW*ca*cima*ee*sb/(2d0*sw) + cMW*cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_64) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_65) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_62) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_63) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_60) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*&
                      cb**2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 +  &
                      4d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
      coupl(nGC_61) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_68) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_69) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_153) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
      coupl(nGC_152) = sqrt(2d0)*cb*ydo1/2d0 + sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_151) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_150) = -cb*cima*ydo1 - cima*sb*ydo2
      coupl(nGC_157) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
      coupl(nGC_156) = sqrt(2d0)*cb*ye2/2d0 - sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_155) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_154) = -cb*cima*ye2 + cima*sb*ye1
      coupl(nGC_159) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_158) = -cb*cima*ye1 - cima*sb*ye2
      coupl(nGC_327) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*&
                       sb*vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb* &
                       l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_1449) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1448) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_971) = sqrt(2d0)*cb/2d0
      coupl(nGC_970) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_973) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb** &
                       2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2 &
                        - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb** &
                       2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb &
                       **2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                       vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3*sa&
                       *sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_972) = sqrt(2d0)*sb/2d0
      coupl(nGC_975) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5&
                       *sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_974) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb*&
                       l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_977) = ca*cb*cima*sb*vev1
      coupl(nGC_976) = -cb*cima*sa*sb*vev2
      coupl(nGC_979) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_978) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1289) = -cima*ee/sw
      coupl(nGC_1288) = -cima*cw*ee/sw
      coupl(nGC_1287) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1286) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1285) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1284) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1283) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1282) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1281) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_1280) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1041) = sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_1040) = cb*cima
      coupl(nGC_1043) = sqrt(2d0)*sb/2d0
      coupl(nGC_1042) = sqrt(2d0)*cb/2d0
      coupl(nGC_1045) = cima*sb
      coupl(nGC_1044) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1047) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1046) = -cb*cima
      coupl(nGC_1049) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1048) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_53) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l2*sb**4d0
      coupl(nGC_52) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l1*sb**4d0
      coupl(nGC_51) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l1*sb**4d0
      coupl(nGC_50) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l1*sb**4d0
      coupl(nGC_57) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*&
                      sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*  &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
      coupl(nGC_56) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima&
                      *l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0* &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0
      coupl(nGC_55) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l2*sb**4d0
      coupl(nGC_54) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l2*sb**4d0
      coupl(nGC_59) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 -   &
                      3d0*cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0&
                       + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**&
                      2d0 + 4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 -    &
                      cima*l4*sb**4d0 - cima*l5*sb**4d0
      coupl(nGC_58) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima&
                      *l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb&
                      **2d0 - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_1479) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1576) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_419) = -sqrt(2d0)*sb/2d0
      coupl(nGC_417) = -sqrt(2d0)*cb/2d0
      coupl(nGC_415) = -sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_411) = cima*gs
      coupl(nGC_637) = -2d0*coupl(nGC_78)
      coupl(nGC_635) = -coupl(nGC_96)
      coupl(nGC_633) = -coupl(nGC_63)
      coupl(nGC_639) = -coupl(nGC_68)
      coupl(nGC_1452) = -ca**2d0*cb*cima*sb
      coupl(nGC_1450) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1451) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1456) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1457) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1454) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1455) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1458) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1459) = -cb*cima*sa**2d0*sb
      coupl(nGC_948) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_949) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_944) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0 &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_945) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_946) = -cb**2d0*cima*sa*vev2
      coupl(nGC_947) = -ca*cima*sb**2d0*vev1
      coupl(nGC_940) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_941) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb**&
                       2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2 &
                        + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb &
                       **2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
      coupl(nGC_942) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa*&
                       vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_943) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                       cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca&
                       *l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1298) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1299) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1295) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_1296) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_1297) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1290) = cima*cw*ee/sw**2d0
      coupl(nGC_1291) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
