!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_1375) = -3d0*ca**4d0*cima
      coupl(nGC_1374) = -3d0*cima*sa**4d0
      coupl(nGC_1445) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1444) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1447) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1446) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1441) = ca*cb**2d0*cima*sa
      coupl(nGC_1440) = -ca*cima*sa*sb**2d0
      coupl(nGC_1207) = -cb**4d0*cima
      coupl(nGC_1206) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1205) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1204) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1203) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_1202) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_1201) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1200) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_1442) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1209) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1208) = -cima*sb**4d0
      coupl(nGC_1623) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_389) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_383) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_387) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_385) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1140) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_1141) = cima*sb
      coupl(nGC_1142) = -cb*cima
      coupl(nGC_1143) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1144) = sqrt(2d0)*sb/2d0
      coupl(nGC_1145) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1146) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1147) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1148) = sqrt(2d0)*cb/2d0
      coupl(nGC_1149) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_126) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_127) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_124) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_125) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_122) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_651) = -coupl(nGC_92)
      coupl(nGC_120) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_653) = -coupl(nGC_91)
      coupl(nGC_128) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_129) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_1568) = -ca*cb*cima*sa*sb
      coupl(nGC_1569) = -ca*cb*cima*sa*sb
      coupl(nGC_1566) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1567) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1564) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1565) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1562) = -3d0*cb**3d0*cima*sb
      coupl(nGC_1563) = 3d0*cb*cima*sb**3d0
      coupl(nGC_1560) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_1561) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_878) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_879) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1639) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_870) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_871) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_872) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_873) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_874) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_I) = cima
      coupl(nGC_876) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1368) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1369) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1360) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_1361) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1362) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1364) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_1365) = ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_1366) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1367) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_877) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1630) = -2d0*cb**3d0*cima*sb
      coupl(nGC_1634) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1216) = -2d0*cb**4d0*cima
      coupl(nGC_1217) = -2d0*cima*sb**4d0
      coupl(nGC_7) = cima*gs
      coupl(nGC_1211) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca &
                     **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1&
                     *sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0&
                      - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_8) = cima*gs**2d0
      coupl(nGC_1218) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1219) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1363) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1387) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1433) = cima*ee/cw
      coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_1126) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_1127) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1088) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1085) = -cima*sb
      coupl(nGC_1214) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1086) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1179) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1178) = sqrt(2d0)*sb/2d0
      coupl(nGC_1215) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1175) = cima*sb
      coupl(nGC_1174) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_1177) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1176) = -cb*cima
      coupl(nGC_1171) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(4d0* &
                        cMW*cw*sw)
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1173) = cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(  &
                        2d0*cw*sw**2d0)
      coupl(nGC_1172) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        2d0*cw**2d0*sw)
      coupl(nGC_1210) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_6) = -gs
      coupl(nGC_1212) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1213) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_643) = -coupl(nGC_8)
      coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_641) = -2d0*coupl(nGC_8)
      coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_647) = -coupl(nGC_6)
      coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_645) = 2d0*coupl(nGC_8)
      coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_649) = -coupl(nGC_69)
      coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_138) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_1519) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca** &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1518) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1513) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1512) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1511) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1510) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*&
                        sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*&
                        l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_1517) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1516) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1515) = cb*cima*sa**2d0*sb
      coupl(nGC_1514) = -ca**2d0*cb*cima*sb
      coupl(nGC_1601) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1344) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_1379) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_867) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_866) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_865) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_864) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_863) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_862) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_861) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_860) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_869) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_868) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1355) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1354) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1357) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1356) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1351) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1350) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1353) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1352) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1359) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1358) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1429) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1428) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1197) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1196) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1388) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1194) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1193) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1192) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1191) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1190) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1199) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1198) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1389) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0* &
                        l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - &
                        6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0* &
                        cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                        4d0 + l5*sb**4d0)
      coupl(nGC_1221) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1220) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1223) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1222) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1225) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_1224) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_1227) = cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1226) = -cMW*cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1229) = cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1228) = -cima*ee*(ca*sb - cb*sa)/(4d0*cMW*sw)
      coupl(nGC_325) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_323) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1012) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_1013) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1010) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1011) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1421) = cb**3d0*cima*sb
      coupl(nGC_1016) = sqrt(2d0)*cb/2d0
      coupl(nGC_1541) = -ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
      coupl(nGC_1014) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1015) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_1393) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1392) = cb*cima*sb**3d0
      coupl(nGC_1395) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1394) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1465) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1464) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1123) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw)
      coupl(nGC_1169) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1162) = cima*ee*(cb**2d0 + sb**2d0)/(4d0*cMZ*sw)
      coupl(nGC_1163) = -cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1160) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1161) = cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1166) = sqrt(2d0)*sb/2d0
      coupl(nGC_1167) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1164) = sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_1165) = sqrt(2d0)*cb/2d0
      coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_101) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_103) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_104) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_1555) = -ca*cb*cima*sa*sb
      coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_1508) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1509) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_1500) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1501) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1502) = -cima*ee
      coupl(nGC_1503) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca&
                        *cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0* &
                        vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**  &
                        2d0*l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb&
                        *vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_1505) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_1506) = -ca*cima*sb**2d0*vev2
      coupl(nGC_1507) = cb**2d0*cima*sa*vev1
      coupl(nGC_1342) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0* &
                        ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*&
                        sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*  &
                        vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 &
                         + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +   &
                        7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3* &
                        sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*   &
                        vev2)
      coupl(nGC_1343) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1436) = cb*cima
      coupl(nGC_1437) = cima*sb
      coupl(nGC_1346) = sqrt(2d0)*cb/2d0
      coupl(nGC_1431) = cima*ee*sw/cw
      coupl(nGC_1345) = sqrt(2d0)*sb/2d0
      coupl(nGC_1348) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1349) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1438) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1439) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1184) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
      coupl(nGC_1185) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1186) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1187) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1180) = -sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1181) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1182) = sqrt(2d0)*cb/2d0
      coupl(nGC_1183) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_910) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_1188) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_1189) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1128) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_928) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa* &
                       vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_929) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_926) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_924) = cima*sa*sb**2d0*vev1
      coupl(nGC_925) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_922) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                       cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_923) = -ca*cb**2d0*cima*vev2
      coupl(nGC_920) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*&
                       l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5&
                       *sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                       cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1  &
                        + l5*sa*sb**2d0*vev2)
      coupl(nGC_921) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1238) = -3d0*cima*sb**4d0
      coupl(nGC_1239) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1236) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1237) = -3d0*cb**4d0*cima
      coupl(nGC_1234) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1235) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1232) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1233) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1230) = -cMW*cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1231) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1266) = -cima*(cb**4d0 + sb**4d0)
      coupl(nGC_1611) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_1613) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_1615) = -3d0*cb*cima*sb**3d0
      coupl(nGC_1617) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1619) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1304) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_1391) = -cb**3d0*cima*sb
      coupl(nGC_1390) = cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_119) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_118) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_117) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_116) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_115) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_114) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_113) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_112) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_111) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_110) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_605) = -coupl(nGC_4)
      coupl(nGC_631) = -2d0*coupl(nGC_79)
      coupl(nGC_607) = -2d0*coupl(nGC_5)
      coupl(nGC_625) = -coupl(nGC_132)
      coupl(nGC_623) = -coupl(nGC_3)
      coupl(nGC_611) = -coupl(nGC_194)
      coupl(nGC_617) = -coupl(nGC_17)
    end subroutine fill_couplings_mdl3
end module fill_couplings3
