!******************************************************************************!
!                                                                              !
!    ctparameter131.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter131.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter131
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter131()
  dZHMinus_QED2 = (-2d0*Nc*Ten271*(coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0   &
                  ) - 2d0*Nc*Ten273*(coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0 &
                  ) - 2d0*Nc*Ten274*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0 &
                  ) - 2d0*Nc*Ten276*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0 &
                  ) - 2d0*Nc*Ten277*(coupl(nGC_142)**2d0 + coupl(nGC_178)**2d0 &
                  ) - 2d0*Nc*Ten279*(coupl(nGC_142)**2d0 + coupl(nGC_178)**2d0 &
                  ) - 4d0*Nc*Ten313*cMD*cMU*coupl(nGC_146)*coupl(nGC_193) - 4d0&
                  *Nc*Ten314*cMC*cMS*coupl(nGC_131)*coupl(nGC_170) - 4d0*Nc*   &
                  Ten315*cMB*cMT*coupl(nGC_142)*coupl(nGC_178) - 2d0*Nc*Ten319*&
                  rMHC**2d0*(coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0) - 2d0* &
                  Nc*Ten320*rMHC**2d0*(coupl(nGC_131)**2d0 + coupl(nGC_170)**  &
                  2d0) - 2d0*Nc*Ten321*rMHC**2d0*(coupl(nGC_142)**2d0 + coupl( &
                  nGC_178)**2d0) - 8d0*Nc*Ten325*(coupl(nGC_146)**2d0 + coupl( &
                  nGC_193)**2d0) - 8d0*Nc*Ten326*(coupl(nGC_131)**2d0 + coupl( &
                  nGC_170)**2d0) - 8d0*Nc*Ten327*(coupl(nGC_142)**2d0 + coupl( &
                  nGC_178)**2d0) - 2d0*Nc*Ten331*rMHC**2d0*(coupl(nGC_146)**2d0&
                   + coupl(nGC_193)**2d0) - 2d0*Nc*Ten332*rMHC**2d0*(coupl(    &
                  nGC_131)**2d0 + coupl(nGC_170)**2d0) - 2d0*Nc*Ten333*rMHC**  &
                  2d0*(coupl(nGC_142)**2d0 + coupl(nGC_178)**2d0) - Nc*coupl(  &
                  nGC_131)**2d0/3d0 - Nc*coupl(nGC_142)**2d0/3d0 - Nc*coupl(   &
                  nGC_146)**2d0/3d0 - Nc*coupl(nGC_170)**2d0/3d0 - Nc*coupl(   &
                  nGC_178)**2d0/3d0 - Nc*coupl(nGC_193)**2d0/3d0 - 4d0*Ten245* &
                  coupl(nGC_17)**2d0 + 4d0*Ten246*coupl(nGC_68)*coupl(nGC_69   &
                  ) + 4d0*Ten247*coupl(nGC_63)*coupl(nGC_64) + 4d0*Ten248*coupl&
                  (nGC_72)**2d0 - 4d0*Ten252*coupl(nGC_96)**2d0 - 4d0*Ten256*  &
                  coupl(nGC_17)**2d0 - Ten258*coupl(nGC_17)**2d0 + 4d0*Ten259* &
                  coupl(nGC_68)*coupl(nGC_69) + Ten261*coupl(nGC_68)*coupl(    &
                  nGC_69) + 4d0*Ten262*coupl(nGC_63)*coupl(nGC_64) + Ten264*   &
                  coupl(nGC_63)*coupl(nGC_64) + 4d0*Ten265*coupl(nGC_72)**2d0  &
                   + Ten267*coupl(nGC_72)**2d0 - 4d0*Ten268*coupl(nGC_96)**2d0 &
                   - Ten270*coupl(nGC_96)**2d0 - 2d0*Ten280*coupl(nGC_154)**2d0&
                   - 2d0*Ten281*coupl(nGC_162)**2d0 - 2d0*Ten282*coupl(nGC_185 &
                  )**2d0 - 2d0*Ten286*coupl(nGC_154)**2d0 - 2d0*Ten287*coupl(  &
                  nGC_162)**2d0 - 2d0*Ten288*coupl(nGC_185)**2d0 - 4d0*Ten289* &
                  coupl(nGC_17)**2d0*rMHC**2d0 - 4d0*Ten290*coupl(nGC_17)**2d0*&
                  rMHC**2d0 - 4d0*Ten291*coupl(nGC_17)**2d0 - Ten292*coupl(    &
                  nGC_17)**2d0*rMHC**2d0 + Ten293*(coupl(nGC_119)**2d0 + 4d0*  &
                  coupl(nGC_68)*coupl(nGC_69)*rMHC**2d0) + 4d0*Ten294*coupl(   &
                  nGC_68)*coupl(nGC_69)*rMHC**2d0 + 4d0*Ten295*coupl(nGC_68)*  &
                  coupl(nGC_69) + Ten296*coupl(nGC_68)*coupl(nGC_69)*rMHC**2d0 &
                   + Ten297*(coupl(nGC_111)**2d0 + 4d0*coupl(nGC_63)*coupl(    &
                  nGC_64)*rMHC**2d0) + 4d0*Ten298*coupl(nGC_63)*coupl(nGC_64)* &
                  rMHC**2d0 + 4d0*Ten299*coupl(nGC_63)*coupl(nGC_64) + Ten300* &
                  coupl(nGC_63)*coupl(nGC_64)*rMHC**2d0 + Ten301*(coupl(nGC_122&
                  )*coupl(nGC_123) + 4d0*coupl(nGC_72)**2d0*rMHC**2d0) + 4d0*  &
                  Ten302*coupl(nGC_72)**2d0*rMHC**2d0 + 4d0*Ten303*coupl(nGC_72&
                  )**2d0 + Ten304*coupl(nGC_72)**2d0*rMHC**2d0 - 4d0*Ten305*   &
                  coupl(nGC_96)**2d0*rMHC**2d0 - 4d0*Ten306*coupl(nGC_96)**2d0*&
                  rMHC**2d0 - 4d0*Ten307*coupl(nGC_96)**2d0 - Ten308*coupl(    &
                  nGC_96)**2d0*rMHC**2d0 + Ten310*coupl(nGC_110)**2d0 + Ten311*&
                  coupl(nGC_118)**2d0 - 2d0*Ten316*coupl(nGC_154)**2d0*rMHC**  &
                  2d0 - 2d0*Ten317*coupl(nGC_162)**2d0*rMHC**2d0 - 2d0*Ten318* &
                  coupl(nGC_185)**2d0*rMHC**2d0 - 8d0*Ten322*coupl(nGC_154)**  &
                  2d0 - 8d0*Ten323*coupl(nGC_162)**2d0 - 8d0*Ten324*coupl(     &
                  nGC_185)**2d0 - 2d0*Ten328*coupl(nGC_154)**2d0*rMHC**2d0 -   &
                  2d0*Ten329*coupl(nGC_162)**2d0*rMHC**2d0 - 2d0*Ten330*coupl( &
                  nGC_185)**2d0*rMHC**2d0 - coupl(nGC_154)**2d0/3d0 - coupl(   &
                  nGC_162)**2d0/3d0 - coupl(nGC_17)**2d0/6d0 - coupl(nGC_185)**&
                  2d0/3d0 + coupl(nGC_63)*coupl(nGC_64)/6d0 + coupl(nGC_68)*   &
                  coupl(nGC_69)/6d0 + coupl(nGC_72)**2d0/6d0 - coupl(nGC_96)** &
                  2d0/6d0)/(16d0*pi**2d0)
end subroutine set_ctparameter131
end module ctparameter131
