!******************************************************************************!
!                                                                              !
!    ctparameter153.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter153.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter153
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter153()
  dZHhHl_QED2 = 2d0*cima*(rMHH**2d0 - rMHL**2d0)*(coupl(nGC_106)*dtHl_QED1/cMHL&
                **2d0 + coupl(nGC_103)*dtHh_QED1/cMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + ((-24d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141)*&
                rMHH**2d0 + 24d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141)*rMHL&
                **2d0 - 24d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133)*rMHH**  &
                2d0 + 24d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133)*rMHL**2d0 &
                 - 24d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149)*rMHH**2d0 +  &
                24d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149)*rMHL**2d0 + 4d0*&
                Nc*cMHL**2d0*coupl(nGC_130)*coupl(nGC_133)*rMHH**2d0 - 4d0*Nc* &
                cMHL**2d0*coupl(nGC_130)*coupl(nGC_133)*rMHL**2d0 + 4d0*Nc*cMHL&
                **2d0*coupl(nGC_137)*coupl(nGC_141)*rMHH**2d0 - 4d0*Nc*cMHL**  &
                2d0*coupl(nGC_137)*coupl(nGC_141)*rMHL**2d0 + 4d0*Nc*cMHL**2d0*&
                coupl(nGC_145)*coupl(nGC_149)*rMHH**2d0 - 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_145)*coupl(nGC_149)*rMHL**2d0 + 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_169)*coupl(nGC_173)*rMHH**2d0 - 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_169)*coupl(nGC_173)*rMHL**2d0 + 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_177)*coupl(nGC_180)*rMHH**2d0 - 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_177)*coupl(nGC_180)*rMHL**2d0 + 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_192)*coupl(nGC_195)*rMHH**2d0 - 4d0*Nc*cMHL**2d0*    &
                coupl(nGC_192)*coupl(nGC_195)*rMHL**2d0 - 24d0*Nc*cMS**2d0*    &
                coupl(nGC_169)*coupl(nGC_173)*rMHH**2d0 + 24d0*Nc*cMS**2d0*    &
                coupl(nGC_169)*coupl(nGC_173)*rMHL**2d0 - 24d0*Nc*cMT**2d0*    &
                coupl(nGC_177)*coupl(nGC_180)*rMHH**2d0 + 24d0*Nc*cMT**2d0*    &
                coupl(nGC_177)*coupl(nGC_180)*rMHL**2d0 - 24d0*Nc*cMU**2d0*    &
                coupl(nGC_192)*coupl(nGC_195)*rMHH**2d0 + 24d0*Nc*cMU**2d0*    &
                coupl(nGC_192)*coupl(nGC_195)*rMHL**2d0 - 24d0*cME**2d0*coupl( &
                nGC_153)*coupl(nGC_157)*rMHH**2d0 + 24d0*cME**2d0*coupl(nGC_153&
                )*coupl(nGC_157)*rMHL**2d0 + 3d0*cMHA**2d0*coupl(nGC_92)*coupl(&
                nGC_94)*rMHH**2d0 - 3d0*cMHA**2d0*coupl(nGC_92)*coupl(nGC_94)* &
                rMHL**2d0 + 3d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0&
                 - 3d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 + 3d0*  &
                cMHC**2d0*coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0 - 3d0*cMHC**2d0&
                *coupl(nGC_64)*coupl(nGC_69)*rMHL**2d0 + 4d0*cMHL**2d0*coupl(  &
                nGC_153)*coupl(nGC_157)*rMHH**2d0 - 4d0*cMHL**2d0*coupl(nGC_153&
                )*coupl(nGC_157)*rMHL**2d0 + 4d0*cMHL**2d0*coupl(nGC_161)*coupl&
                (nGC_165)*rMHH**2d0 - 4d0*cMHL**2d0*coupl(nGC_161)*coupl(      &
                nGC_165)*rMHL**2d0 + 4d0*cMHL**2d0*coupl(nGC_184)*coupl(nGC_188&
                )*rMHH**2d0 - 4d0*cMHL**2d0*coupl(nGC_184)*coupl(nGC_188)*rMHL &
                **2d0 - cMHL**2d0*coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0 + cMHL &
                **2d0*coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 - cMHL**2d0*coupl( &
                nGC_63)*coupl(nGC_69)*rMHH**2d0 + cMHL**2d0*coupl(nGC_63)*coupl&
                (nGC_69)*rMHL**2d0 - cMHL**2d0*coupl(nGC_64)*coupl(nGC_68)*rMHH&
                **2d0 + cMHL**2d0*coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0 - cMHL &
                **2d0*coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0 + cMHL**2d0*coupl( &
                nGC_64)*coupl(nGC_69)*rMHL**2d0 - cMHL**2d0*coupl(nGC_91)*coupl&
                (nGC_94)*rMHH**2d0 + cMHL**2d0*coupl(nGC_91)*coupl(nGC_94)*rMHL&
                **2d0 - cMHL**2d0*coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0 + cMHL &
                **2d0*coupl(nGC_92)*coupl(nGC_94)*rMHL**2d0 - 24d0*cMM**2d0*   &
                coupl(nGC_161)*coupl(nGC_165)*rMHH**2d0 + 24d0*cMM**2d0*coupl( &
                nGC_161)*coupl(nGC_165)*rMHL**2d0 - 24d0*cMTA**2d0*coupl(      &
                nGC_184)*coupl(nGC_188)*rMHH**2d0 + 24d0*cMTA**2d0*coupl(      &
                nGC_184)*coupl(nGC_188)*rMHL**2d0 + 3d0*cMW**2d0*coupl(nGC_63)*&
                coupl(nGC_68)*rMHH**2d0 - 3d0*cMW**2d0*coupl(nGC_63)*coupl(    &
                nGC_68)*rMHL**2d0 + 6d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_69)*  &
                rMHH**2d0 - 6d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_69)*rMHL**2d0 &
                 + 6d0*cMW**2d0*coupl(nGC_64)*coupl(nGC_68)*rMHH**2d0 - 6d0*cMW&
                **2d0*coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0 + 3d0*cMW**2d0*    &
                coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0 - 3d0*cMW**2d0*coupl(    &
                nGC_64)*coupl(nGC_69)*rMHL**2d0 + 6d0*cMZ**2d0*coupl(nGC_91)*  &
                coupl(nGC_94)*rMHH**2d0 - 6d0*cMZ**2d0*coupl(nGC_91)*coupl(    &
                nGC_94)*rMHL**2d0 + 3d0*cMZ**2d0*coupl(nGC_92)*coupl(nGC_94)*  &
                rMHH**2d0 - 3d0*cMZ**2d0*coupl(nGC_92)*coupl(nGC_94)*rMHL**2d0 &
                 + 12d0*coupl(nGC_124)*coupl(nGC_125)*rMHH**2d0 - 12d0*coupl(  &
                nGC_124)*coupl(nGC_125)*rMHL**2d0 + 6d0*coupl(nGC_128)*coupl(  &
                nGC_129)*rMHH**2d0 - 6d0*coupl(nGC_128)*coupl(nGC_129)*rMHL**  &
                2d0)/(3d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**  &
                2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) + (8d0*Nc*Ten141*cMU**2d0&
                *coupl(nGC_192)*coupl(nGC_195)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc&
                *Ten142*cMC**2d0*coupl(nGC_130)*coupl(nGC_133)*(cMHL**2d0 -    &
                rMHL**2d0) + 8d0*Nc*Ten143*cMT**2d0*coupl(nGC_177)*coupl(      &
                nGC_180)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten144*cMD**2d0*coupl&
                (nGC_145)*coupl(nGC_149)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*     &
                Ten145*cMS**2d0*coupl(nGC_169)*coupl(nGC_173)*(cMHL**2d0 - rMHL&
                **2d0) + 8d0*Nc*Ten146*cMB**2d0*coupl(nGC_137)*coupl(nGC_141)*(&
                cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten168*coupl(nGC_192)*coupl(   &
                nGC_195)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*Ten169*   &
                coupl(nGC_192)*coupl(nGC_195)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*&
                Ten170*coupl(nGC_192)*coupl(nGC_195)*rMHH**2d0*(cMHL**2d0 -    &
                rMHL**2d0) + 8d0*Nc*Ten171*coupl(nGC_130)*coupl(nGC_133)*rMHH**&
                2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*Ten172*coupl(nGC_130)*   &
                coupl(nGC_133)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten173*coupl(  &
                nGC_130)*coupl(nGC_133)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 8d0&
                *Nc*Ten174*coupl(nGC_177)*coupl(nGC_180)*rMHH**2d0*(cMHL**2d0  &
                 - rMHL**2d0) + 32d0*Nc*Ten175*coupl(nGC_177)*coupl(nGC_180)*( &
                cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten176*coupl(nGC_177)*coupl(   &
                nGC_180)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten177*    &
                coupl(nGC_145)*coupl(nGC_149)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0 &
                ) + 32d0*Nc*Ten178*coupl(nGC_145)*coupl(nGC_149)*(cMHL**2d0 -  &
                rMHL**2d0) + 8d0*Nc*Ten179*coupl(nGC_145)*coupl(nGC_149)*rMHH**&
                2d0*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten180*coupl(nGC_169)*    &
                coupl(nGC_173)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*    &
                Ten181*coupl(nGC_169)*coupl(nGC_173)*(cMHL**2d0 - rMHL**2d0) + &
                8d0*Nc*Ten182*coupl(nGC_169)*coupl(nGC_173)*rMHH**2d0*(cMHL**  &
                2d0 - rMHL**2d0) + 8d0*Nc*Ten183*coupl(nGC_137)*coupl(nGC_141)*&
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*Ten184*coupl(      &
                nGC_137)*coupl(nGC_141)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten185&
                *coupl(nGC_137)*coupl(nGC_141)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0&
                ) + 8d0*Nc*Ten27*cMU**2d0*coupl(nGC_192)*coupl(nGC_195)*(-cMHL &
                **2d0 + rMHH**2d0) + 8d0*Nc*Ten28*cMC**2d0*coupl(nGC_130)*coupl&
                (nGC_133)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten29*cMT**2d0*    &
                coupl(nGC_177)*coupl(nGC_180)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc&
                *Ten30*cMD**2d0*coupl(nGC_145)*coupl(nGC_149)*(-cMHL**2d0 +    &
                rMHH**2d0) + 8d0*Nc*Ten31*cMS**2d0*coupl(nGC_169)*coupl(nGC_173&
                )*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten32*cMB**2d0*coupl(      &
                nGC_137)*coupl(nGC_141)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten54&
                *coupl(nGC_192)*coupl(nGC_195)*rMHL**2d0*(-cMHL**2d0 + rMHH**  &
                2d0) + 32d0*Nc*Ten55*coupl(nGC_192)*coupl(nGC_195)*(-cMHL**2d0 &
                 + rMHH**2d0) + 8d0*Nc*Ten56*coupl(nGC_192)*coupl(nGC_195)*rMHL&
                **2d0*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten57*coupl(nGC_130)*  &
                coupl(nGC_133)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Nc*   &
                Ten58*coupl(nGC_130)*coupl(nGC_133)*(-cMHL**2d0 + rMHH**2d0) + &
                8d0*Nc*Ten59*coupl(nGC_130)*coupl(nGC_133)*rMHL**2d0*(-cMHL**  &
                2d0 + rMHH**2d0) + 8d0*Nc*Ten60*coupl(nGC_177)*coupl(nGC_180)* &
                rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Nc*Ten61*coupl(      &
                nGC_177)*coupl(nGC_180)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten62&
                *coupl(nGC_177)*coupl(nGC_180)*rMHL**2d0*(-cMHL**2d0 + rMHH**  &
                2d0) + 8d0*Nc*Ten63*coupl(nGC_145)*coupl(nGC_149)*rMHL**2d0*(- &
                cMHL**2d0 + rMHH**2d0) + 32d0*Nc*Ten64*coupl(nGC_145)*coupl(   &
                nGC_149)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten65*coupl(nGC_145 &
                )*coupl(nGC_149)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*  &
                Ten66*coupl(nGC_169)*coupl(nGC_173)*rMHL**2d0*(-cMHL**2d0 +    &
                rMHH**2d0) + 32d0*Nc*Ten67*coupl(nGC_169)*coupl(nGC_173)*(-cMHL&
                **2d0 + rMHH**2d0) + 8d0*Nc*Ten68*coupl(nGC_169)*coupl(nGC_173 &
                )*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten69*coupl(     &
                nGC_137)*coupl(nGC_141)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) +   &
                32d0*Nc*Ten70*coupl(nGC_137)*coupl(nGC_141)*(-cMHL**2d0 + rMHH &
                **2d0) + 8d0*Nc*Ten71*coupl(nGC_137)*coupl(nGC_141)*rMHL**2d0  &
                *(-cMHL**2d0 + rMHH**2d0) + cima*Ten0*coupl(nGC_9)*(rMHH**2d0  &
                 - rMHL**2d0) + cima*Ten1*coupl(nGC_25)*(rMHH**2d0 - rMHL**2d0 &
                ) + Ten129*(-cMHL**2d0*coupl(nGC_109)*coupl(nGC_117) - 4d0*cMHL&
                **2d0*coupl(nGC_128)*coupl(nGC_129) - 5d0*cMHL**2d0*coupl(     &
                nGC_91)*coupl(nGC_94)*rMHH**2d0 + 2d0*cMHL**2d0*coupl(nGC_93)* &
                coupl(nGC_95) + coupl(nGC_109)*coupl(nGC_117)*rMHL**2d0 + 4d0* &
                coupl(nGC_128)*coupl(nGC_129)*rMHL**2d0 + 5d0*coupl(nGC_91)*   &
                coupl(nGC_94)*rMHH**2d0*rMHL**2d0 - 2d0*coupl(nGC_93)*coupl(   &
                nGC_95)*rMHL**2d0) + 2d0*cima*Ten13*coupl(nGC_22)*(rMHH**2d0 - &
                rMHL**2d0) + 2d0*Ten130*(-cMHL**2d0*coupl(nGC_112)*coupl(      &
                nGC_120) - 4d0*cMHL**2d0*coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0 &
                 + coupl(nGC_112)*coupl(nGC_120)*rMHL**2d0 + 4d0*coupl(nGC_92)*&
                coupl(nGC_94)*rMHH**2d0*rMHL**2d0) + Ten131*coupl(nGC_113)*    &
                coupl(nGC_121)*(-cMHL**2d0 + rMHL**2d0) + Ten132*(-2d0*cMHL**  &
                2d0*coupl(nGC_108)*coupl(nGC_116) - 8d0*cMHL**2d0*coupl(nGC_124&
                )*coupl(nGC_125) - 5d0*cMHL**2d0*coupl(nGC_63)*coupl(nGC_69)*  &
                rMHH**2d0 - 5d0*cMHL**2d0*coupl(nGC_64)*coupl(nGC_68)*rMHH**2d0&
                 + 4d0*cMHL**2d0*coupl(nGC_67)*coupl(nGC_71) + 2d0*coupl(      &
                nGC_108)*coupl(nGC_116)*rMHL**2d0 + 8d0*coupl(nGC_124)*coupl(  &
                nGC_125)*rMHL**2d0 + 5d0*coupl(nGC_63)*coupl(nGC_69)*rMHH**2d0*&
                rMHL**2d0 + 5d0*coupl(nGC_64)*coupl(nGC_68)*rMHH**2d0*rMHL**2d0&
                 - 4d0*coupl(nGC_67)*coupl(nGC_71)*rMHL**2d0) + 4d0*Ten133*(-  &
                cMHL**2d0*coupl(nGC_111)*coupl(nGC_119) - 2d0*cMHL**2d0*coupl( &
                nGC_63)*coupl(nGC_68)*rMHH**2d0 - 2d0*cMHL**2d0*coupl(nGC_64)* &
                coupl(nGC_69)*rMHH**2d0 + coupl(nGC_111)*coupl(nGC_119)*rMHL** &
                2d0 + 2d0*coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0*rMHL**2d0 + 2d0&
                *coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0*rMHL**2d0) + 2d0*Ten134*&
                coupl(nGC_110)*coupl(nGC_118)*(-cMHL**2d0 + rMHL**2d0) + Ten135&
                *coupl(nGC_104)*coupl(nGC_106)*(-cMHL**2d0 + rMHL**2d0) + 2d0* &
                Ten136*coupl(nGC_103)*coupl(nGC_106)*(-cMHL**2d0 + rMHL**2d0   &
                ) + Ten137*coupl(nGC_103)*coupl(nGC_105)*(-cMHL**2d0 + rMHL**  &
                2d0) + 8d0*Ten138*cME**2d0*coupl(nGC_153)*coupl(nGC_157)*(cMHL &
                **2d0 - rMHL**2d0) + 8d0*Ten139*cMM**2d0*coupl(nGC_161)*coupl( &
                nGC_165)*(cMHL**2d0 - rMHL**2d0) + cima*Ten14*coupl(nGC_26)*(  &
                rMHH**2d0 - rMHL**2d0) + 8d0*Ten140*cMTA**2d0*coupl(nGC_184)*  &
                coupl(nGC_188)*(cMHL**2d0 - rMHL**2d0) + 2d0*Ten147*coupl(     &
                nGC_91)*coupl(nGC_94)*rMHH**2d0*(-cMHL**2d0 + rMHL**2d0) + 8d0*&
                Ten148*coupl(nGC_91)*coupl(nGC_94)*(-cMHL**2d0 + rMHL**2d0) +  &
                2d0*Ten149*coupl(nGC_91)*coupl(nGC_94)*rMHH**2d0*(-cMHL**2d0 + &
                rMHL**2d0) + Ten15*(cMHL**2d0*coupl(nGC_109)*coupl(nGC_117) +  &
                4d0*cMHL**2d0*coupl(nGC_128)*coupl(nGC_129) + 5d0*cMHL**2d0*   &
                coupl(nGC_91)*coupl(nGC_94)*rMHL**2d0 - 2d0*cMHL**2d0*coupl(   &
                nGC_93)*coupl(nGC_95) - coupl(nGC_109)*coupl(nGC_117)*rMHH**2d0&
                 - 4d0*coupl(nGC_128)*coupl(nGC_129)*rMHH**2d0 - 5d0*coupl(    &
                nGC_91)*coupl(nGC_94)*rMHH**2d0*rMHL**2d0 + 2d0*coupl(nGC_93)* &
                coupl(nGC_95)*rMHH**2d0) + 8d0*Ten150*coupl(nGC_92)*coupl(     &
                nGC_94)*rMHH**2d0*(-cMHL**2d0 + rMHL**2d0) + 8d0*Ten151*coupl( &
                nGC_92)*coupl(nGC_94)*(-cMHL**2d0 + rMHL**2d0) + 2d0*Ten152*   &
                coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0*(-cMHL**2d0 + rMHL**2d0  &
                ) + 2d0*Ten153*rMHH**2d0*(-cMHL**2d0*coupl(nGC_63)*coupl(nGC_69&
                ) - cMHL**2d0*coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_63)*coupl&
                (nGC_69)*rMHL**2d0 + coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0) +  &
                8d0*Ten154*(-cMHL**2d0*coupl(nGC_63)*coupl(nGC_69) - cMHL**2d0*&
                coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_63)*coupl(nGC_69)*rMHL &
                **2d0 + coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0) + 2d0*Ten155*   &
                rMHH**2d0*(-cMHL**2d0*coupl(nGC_63)*coupl(nGC_69) - cMHL**2d0* &
                coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_63)*coupl(nGC_69)*rMHL &
                **2d0 + coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0) + 8d0*Ten156*   &
                rMHH**2d0*(-cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - cMHL**2d0* &
                coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_63)*coupl(nGC_68)*rMHL &
                **2d0 + coupl(nGC_64)*coupl(nGC_69)*rMHL**2d0) + 8d0*Ten157*(- &
                cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - cMHL**2d0*coupl(nGC_64 &
                )*coupl(nGC_69) + coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 + coupl&
                (nGC_64)*coupl(nGC_69)*rMHL**2d0) + 2d0*Ten158*rMHH**2d0*(-cMHL&
                **2d0*coupl(nGC_63)*coupl(nGC_68) - cMHL**2d0*coupl(nGC_64)*   &
                coupl(nGC_69) + coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 + coupl( &
                nGC_64)*coupl(nGC_69)*rMHL**2d0) + 8d0*Ten159*coupl(nGC_153)*  &
                coupl(nGC_157)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 2d0*Ten16*( &
                cMHL**2d0*coupl(nGC_112)*coupl(nGC_120) + 4d0*cMHL**2d0*coupl( &
                nGC_92)*coupl(nGC_94)*rMHL**2d0 - coupl(nGC_112)*coupl(nGC_120 &
                )*rMHH**2d0 - 4d0*coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0*rMHL** &
                2d0) + 32d0*Ten160*coupl(nGC_153)*coupl(nGC_157)*(cMHL**2d0 -  &
                rMHL**2d0) + 8d0*Ten161*coupl(nGC_153)*coupl(nGC_157)*rMHH**2d0&
                *(cMHL**2d0 - rMHL**2d0) + 8d0*Ten162*coupl(nGC_161)*coupl(    &
                nGC_165)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Ten163*coupl(&
                nGC_161)*coupl(nGC_165)*(cMHL**2d0 - rMHL**2d0) + 8d0*Ten164*  &
                coupl(nGC_161)*coupl(nGC_165)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0 &
                ) + 8d0*Ten165*coupl(nGC_184)*coupl(nGC_188)*rMHH**2d0*(cMHL** &
                2d0 - rMHL**2d0) + 32d0*Ten166*coupl(nGC_184)*coupl(nGC_188)*( &
                cMHL**2d0 - rMHL**2d0) + 8d0*Ten167*coupl(nGC_184)*coupl(      &
                nGC_188)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + Ten17*coupl(      &
                nGC_113)*coupl(nGC_121)*(cMHL**2d0 - rMHH**2d0) + Ten18*(2d0*  &
                cMHL**2d0*coupl(nGC_108)*coupl(nGC_116) + 8d0*cMHL**2d0*coupl( &
                nGC_124)*coupl(nGC_125) + 5d0*cMHL**2d0*coupl(nGC_63)*coupl(   &
                nGC_69)*rMHL**2d0 + 5d0*cMHL**2d0*coupl(nGC_64)*coupl(nGC_68)* &
                rMHL**2d0 - 4d0*cMHL**2d0*coupl(nGC_67)*coupl(nGC_71) - 2d0*   &
                coupl(nGC_108)*coupl(nGC_116)*rMHH**2d0 - 8d0*coupl(nGC_124)*  &
                coupl(nGC_125)*rMHH**2d0 - 5d0*coupl(nGC_63)*coupl(nGC_69)*rMHH&
                **2d0*rMHL**2d0 - 5d0*coupl(nGC_64)*coupl(nGC_68)*rMHH**2d0*   &
                rMHL**2d0 + 4d0*coupl(nGC_67)*coupl(nGC_71)*rMHH**2d0) + 4d0*  &
                Ten19*(cMHL**2d0*coupl(nGC_111)*coupl(nGC_119) + 2d0*cMHL**2d0*&
                coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 + 2d0*cMHL**2d0*coupl(   &
                nGC_64)*coupl(nGC_69)*rMHL**2d0 - coupl(nGC_111)*coupl(nGC_119 &
                )*rMHH**2d0 - 2d0*coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0*rMHL** &
                2d0 - 2d0*coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0*rMHL**2d0) +   &
                cima*Ten2*coupl(nGC_10)*(rMHH**2d0 - rMHL**2d0) + 2d0*Ten20*   &
                coupl(nGC_110)*coupl(nGC_118)*(cMHL**2d0 - rMHH**2d0) + Ten21* &
                coupl(nGC_104)*coupl(nGC_106)*(cMHL**2d0 - rMHH**2d0) + 2d0*   &
                Ten22*coupl(nGC_103)*coupl(nGC_106)*(cMHL**2d0 - rMHH**2d0) +  &
                Ten23*coupl(nGC_103)*coupl(nGC_105)*(cMHL**2d0 - rMHH**2d0) +  &
                8d0*Ten24*cME**2d0*coupl(nGC_153)*coupl(nGC_157)*(-cMHL**2d0 + &
                rMHH**2d0) + 8d0*Ten25*cMM**2d0*coupl(nGC_161)*coupl(nGC_165   &
                )*(-cMHL**2d0 + rMHH**2d0) + 8d0*Ten26*cMTA**2d0*coupl(nGC_184 &
                )*coupl(nGC_188)*(-cMHL**2d0 + rMHH**2d0) + 2d0*cima*Ten3*coupl&
                (nGC_23)*(rMHH**2d0 - rMHL**2d0) + 2d0*Ten33*coupl(nGC_91)*    &
                coupl(nGC_94)*rMHL**2d0*(cMHL**2d0 - rMHH**2d0) + 8d0*Ten34*   &
                coupl(nGC_91)*coupl(nGC_94)*(cMHL**2d0 - rMHH**2d0) + 2d0*Ten35&
                *coupl(nGC_91)*coupl(nGC_94)*rMHL**2d0*(cMHL**2d0 - rMHH**2d0  &
                ) + 8d0*Ten36*coupl(nGC_92)*coupl(nGC_94)*rMHL**2d0*(cMHL**2d0 &
                 - rMHH**2d0) + 8d0*Ten37*coupl(nGC_92)*coupl(nGC_94)*(cMHL**  &
                2d0 - rMHH**2d0) + 2d0*Ten38*coupl(nGC_92)*coupl(nGC_94)*rMHL**&
                2d0*(cMHL**2d0 - rMHH**2d0) + 2d0*Ten39*rMHL**2d0*(cMHL**2d0*  &
                coupl(nGC_63)*coupl(nGC_69) + cMHL**2d0*coupl(nGC_64)*coupl(   &
                nGC_68) - coupl(nGC_63)*coupl(nGC_69)*rMHH**2d0 - coupl(nGC_64 &
                )*coupl(nGC_68)*rMHH**2d0) + 8d0*Ten40*(cMHL**2d0*coupl(nGC_63 &
                )*coupl(nGC_69) + cMHL**2d0*coupl(nGC_64)*coupl(nGC_68) - coupl&
                (nGC_63)*coupl(nGC_69)*rMHH**2d0 - coupl(nGC_64)*coupl(nGC_68)*&
                rMHH**2d0) + 2d0*Ten41*rMHL**2d0*(cMHL**2d0*coupl(nGC_63)*coupl&
                (nGC_69) + cMHL**2d0*coupl(nGC_64)*coupl(nGC_68) - coupl(nGC_63&
                )*coupl(nGC_69)*rMHH**2d0 - coupl(nGC_64)*coupl(nGC_68)*rMHH** &
                2d0) + 8d0*Ten42*rMHL**2d0*(cMHL**2d0*coupl(nGC_63)*coupl(     &
                nGC_68) + cMHL**2d0*coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_63 &
                )*coupl(nGC_68)*rMHH**2d0 - coupl(nGC_64)*coupl(nGC_69)*rMHH** &
                2d0) + 8d0*Ten43*(cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) + cMHL &
                **2d0*coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_63)*coupl(nGC_68 &
                )*rMHH**2d0 - coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0) + 2d0*    &
                Ten44*rMHL**2d0*(cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) + cMHL**&
                2d0*coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_63)*coupl(nGC_68)* &
                rMHH**2d0 - coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0) + 8d0*Ten45*&
                coupl(nGC_153)*coupl(nGC_157)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                ) + 32d0*Ten46*coupl(nGC_153)*coupl(nGC_157)*(-cMHL**2d0 + rMHH&
                **2d0) + 8d0*Ten47*coupl(nGC_153)*coupl(nGC_157)*rMHL**2d0*(-  &
                cMHL**2d0 + rMHH**2d0) + 8d0*Ten48*coupl(nGC_161)*coupl(nGC_165&
                )*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Ten49*coupl(nGC_161&
                )*coupl(nGC_165)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Ten50*coupl(   &
                nGC_161)*coupl(nGC_165)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) +   &
                8d0*Ten51*coupl(nGC_184)*coupl(nGC_188)*rMHL**2d0*(-cMHL**2d0  &
                 + rMHH**2d0) + 32d0*Ten52*coupl(nGC_184)*coupl(nGC_188)*(-cMHL&
                **2d0 + rMHH**2d0) + 8d0*Ten53*coupl(nGC_184)*coupl(nGC_188)*  &
                rMHL**2d0*(-cMHL**2d0 + rMHH**2d0))/(cMHH**2d0*rMHH**2d0 - cMHH&
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0))/(&
                16d0*pi**2d0)
end subroutine set_ctparameter153
end module ctparameter153
