!******************************************************************************!
!                                                                              !
!    ctparameter181.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter181.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter181
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter181()
  if (db_QED2_scheme .eq. 3) then
    db_QED2 = ((-2d0*MPC**2d0*Nc*coupl(nGC_131)*coupl(nGC_134) - 2d0*MPC**2d0* &
              Nc*coupl(nGC_138)*coupl(nGC_142) - 2d0*MPC**2d0*Nc*coupl(nGC_146 &
              )*coupl(nGC_150) - 2d0*MPC**2d0*Nc*coupl(nGC_170)*coupl(nGC_174  &
              ) - 2d0*MPC**2d0*Nc*coupl(nGC_178)*coupl(nGC_181) - 2d0*MPC**2d0*&
              Nc*coupl(nGC_193)*coupl(nGC_196) - 2d0*MPC**2d0*coupl(nGC_154)*  &
              coupl(nGC_158) - 2d0*MPC**2d0*coupl(nGC_162)*coupl(nGC_166) - 2d0&
              *MPC**2d0*coupl(nGC_185)*coupl(nGC_189) - MPC**2d0*coupl(nGC_63)*&
              coupl(nGC_69) - MPC**2d0*coupl(nGC_64)*coupl(nGC_69) + 6d0*Nc*cMB&
              **2d0*coupl(nGC_138)*coupl(nGC_142) + 6d0*Nc*cMB**2d0*coupl(     &
              nGC_178)*coupl(nGC_181) + 6d0*Nc*cMC**2d0*coupl(nGC_131)*coupl(  &
              nGC_134) + 6d0*Nc*cMC**2d0*coupl(nGC_170)*coupl(nGC_174) + 6d0*Nc&
              *cMD**2d0*coupl(nGC_146)*coupl(nGC_150) + 6d0*Nc*cMD**2d0*coupl( &
              nGC_193)*coupl(nGC_196) + 6d0*Nc*cMS**2d0*coupl(nGC_131)*coupl(  &
              nGC_134) + 6d0*Nc*cMS**2d0*coupl(nGC_170)*coupl(nGC_174) + 6d0*Nc&
              *cMT**2d0*coupl(nGC_138)*coupl(nGC_142) + 6d0*Nc*cMT**2d0*coupl( &
              nGC_178)*coupl(nGC_181) + 6d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(  &
              nGC_150) + 6d0*Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) + 6d0*  &
              cME**2d0*coupl(nGC_154)*coupl(nGC_158) + 3d0*cMHH**2d0*coupl(    &
              nGC_63)*coupl(nGC_69) + 3d0*cMHL**2d0*coupl(nGC_64)*coupl(nGC_69 &
              ) + 6d0*cMM**2d0*coupl(nGC_162)*coupl(nGC_166) + 6d0*cMTA**2d0*  &
              coupl(nGC_185)*coupl(nGC_189) + 3d0*cMW**2d0*coupl(nGC_63)*coupl(&
              nGC_69) + 3d0*cMW**2d0*coupl(nGC_64)*coupl(nGC_69) - 12d0*coupl( &
              nGC_102)*coupl(nGC_107) - 12d0*coupl(nGC_126)*coupl(nGC_127))/(  &
              6d0*MHC**2d0) + (-4d0*MPC**2d0*Nc*Ten1201*(coupl(nGC_146)*coupl( &
              nGC_150) + coupl(nGC_193)*coupl(nGC_196)) - 4d0*MPC**2d0*Nc*     &
              Ten1203*(coupl(nGC_146)*coupl(nGC_150) + coupl(nGC_193)*coupl(   &
              nGC_196)) - 4d0*MPC**2d0*Nc*Ten1204*(coupl(nGC_131)*coupl(nGC_134&
              ) + coupl(nGC_170)*coupl(nGC_174)) - 4d0*MPC**2d0*Nc*Ten1206*(   &
              coupl(nGC_131)*coupl(nGC_134) + coupl(nGC_170)*coupl(nGC_174)) - &
              4d0*MPC**2d0*Nc*Ten1207*(coupl(nGC_138)*coupl(nGC_142) + coupl(  &
              nGC_178)*coupl(nGC_181)) - 4d0*MPC**2d0*Nc*Ten1209*(coupl(nGC_138&
              )*coupl(nGC_142) + coupl(nGC_178)*coupl(nGC_181)) - 8d0*MPC**2d0*&
              Ten1195*coupl(nGC_64)*coupl(nGC_69) - 2d0*MPC**2d0*Ten1197*coupl(&
              nGC_64)*coupl(nGC_69) - 8d0*MPC**2d0*Ten1198*coupl(nGC_63)*coupl(&
              nGC_69) - 2d0*MPC**2d0*Ten1200*coupl(nGC_63)*coupl(nGC_69) - 4d0*&
              MPC**2d0*Ten1210*coupl(nGC_154)*coupl(nGC_158) - 4d0*MPC**2d0*   &
              Ten1211*coupl(nGC_162)*coupl(nGC_166) - 4d0*MPC**2d0*Ten1212*    &
              coupl(nGC_185)*coupl(nGC_189) - 4d0*MPC**2d0*Ten1216*coupl(      &
              nGC_154)*coupl(nGC_158) - 4d0*MPC**2d0*Ten1217*coupl(nGC_162)*   &
              coupl(nGC_166) - 4d0*MPC**2d0*Ten1218*coupl(nGC_185)*coupl(      &
              nGC_189) - 4d0*Nc*Ten1190*cMD*cMU*(coupl(nGC_146)*coupl(nGC_196  &
              ) + coupl(nGC_150)*coupl(nGC_193)) - 4d0*Nc*Ten1191*cMC*cMS*(    &
              coupl(nGC_131)*coupl(nGC_174) + coupl(nGC_134)*coupl(nGC_170)) - &
              4d0*Nc*Ten1192*cMB*cMT*(coupl(nGC_138)*coupl(nGC_178) + coupl(   &
              nGC_142)*coupl(nGC_181)) - 16d0*Nc*Ten1202*(coupl(nGC_146)*coupl(&
              nGC_150) + coupl(nGC_193)*coupl(nGC_196)) - 16d0*Nc*Ten1205*(    &
              coupl(nGC_131)*coupl(nGC_134) + coupl(nGC_170)*coupl(nGC_174)) - &
              16d0*Nc*Ten1208*(coupl(nGC_138)*coupl(nGC_142) + coupl(nGC_178)* &
              coupl(nGC_181)) - cima*Ten0*coupl(nGC_24) - cima*Ten1*coupl(     &
              nGC_43) + 2d0*Ten1187*(-4d0*MPC**2d0*coupl(nGC_64)*coupl(nGC_69  &
              ) + coupl(nGC_108)*coupl(nGC_119)) + 2d0*Ten1188*(-4d0*MPC**2d0* &
              coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_116)) +   &
              2d0*Ten1193*coupl(nGC_110)*coupl(nGC_119) + 2d0*Ten1194*coupl(   &
              nGC_111)*coupl(nGC_118) - 8d0*Ten1196*coupl(nGC_64)*coupl(nGC_69 &
              ) - 8d0*Ten1199*coupl(nGC_63)*coupl(nGC_69) - 16d0*Ten1213*coupl(&
              nGC_154)*coupl(nGC_158) - 16d0*Ten1214*coupl(nGC_162)*coupl(     &
              nGC_166) - 16d0*Ten1215*coupl(nGC_185)*coupl(nGC_189) - 2d0*cima*&
              Ten13*coupl(nGC_44) - cima*Ten14*coupl(nGC_42) - cima*Ten2*coupl(&
              nGC_27) - 2d0*cima*Ten3*coupl(nGC_45))/(2d0*MHC**2d0))/(16d0*pi**&
              2d0) - cima*(coupl(nGC_119)*dtHl_QED1/cMHL**2d0 + coupl(nGC_111)*&
              dtHh_QED1/cMHH**2d0)/MHC**2d0
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter181
end module ctparameter181
