!******************************************************************************!
!                                                                              !
!    ctparameter182.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter182.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter182
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter182()
  if (db_QED2_scheme .eq. 4) then
    db_QED2 = ((-2d0*MPA**2d0*Nc*coupl(nGC_132)*coupl(nGC_135) + 2d0*MPA**2d0* &
              Nc*coupl(nGC_132)*coupl(nGC_136) - 2d0*MPA**2d0*Nc*coupl(nGC_139 &
              )*coupl(nGC_143) - 2d0*MPA**2d0*Nc*coupl(nGC_140)*coupl(nGC_144  &
              ) - 2d0*MPA**2d0*Nc*coupl(nGC_147)*coupl(nGC_152) - 2d0*MPA**2d0*&
              Nc*coupl(nGC_148)*coupl(nGC_151) - 2d0*MPA**2d0*Nc*coupl(nGC_171 &
              )*coupl(nGC_176) - 2d0*MPA**2d0*Nc*coupl(nGC_172)*coupl(nGC_175  &
              ) - 2d0*MPA**2d0*Nc*coupl(nGC_179)*coupl(nGC_182) + 2d0*MPA**2d0*&
              Nc*coupl(nGC_179)*coupl(nGC_183) - 2d0*MPA**2d0*Nc*coupl(nGC_194 &
              )*coupl(nGC_197) + 2d0*MPA**2d0*Nc*coupl(nGC_194)*coupl(nGC_198  &
              ) - 2d0*MPA**2d0*coupl(nGC_155)*coupl(nGC_160) - 2d0*MPA**2d0*   &
              coupl(nGC_156)*coupl(nGC_159) - 2d0*MPA**2d0*coupl(nGC_163)*coupl&
              (nGC_168) - 2d0*MPA**2d0*coupl(nGC_164)*coupl(nGC_167) - 2d0*MPA &
              **2d0*coupl(nGC_186)*coupl(nGC_191) - 2d0*MPA**2d0*coupl(nGC_187 &
              )*coupl(nGC_190) + MPA**2d0*coupl(nGC_91)*coupl(nGC_94) + MPA**  &
              2d0*coupl(nGC_92)*coupl(nGC_94) + 12d0*Nc*cMB**2d0*coupl(nGC_139 &
              )*coupl(nGC_143) + 12d0*Nc*cMB**2d0*coupl(nGC_140)*coupl(nGC_144 &
              ) + 12d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(nGC_135) - 12d0*Nc*cMC &
              **2d0*coupl(nGC_132)*coupl(nGC_136) + 12d0*Nc*cMD**2d0*coupl(    &
              nGC_147)*coupl(nGC_152) + 12d0*Nc*cMD**2d0*coupl(nGC_148)*coupl( &
              nGC_151) + 12d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(nGC_176) + 12d0*&
              Nc*cMS**2d0*coupl(nGC_172)*coupl(nGC_175) + 12d0*Nc*cMT**2d0*    &
              coupl(nGC_179)*coupl(nGC_182) - 12d0*Nc*cMT**2d0*coupl(nGC_179)* &
              coupl(nGC_183) + 12d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(nGC_197   &
              ) - 12d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(nGC_198) + 12d0*cME**  &
              2d0*coupl(nGC_155)*coupl(nGC_160) + 12d0*cME**2d0*coupl(nGC_156)*&
              coupl(nGC_159) - 3d0*cMHH**2d0*coupl(nGC_92)*coupl(nGC_94) - 3d0*&
              cMHL**2d0*coupl(nGC_91)*coupl(nGC_94) + 12d0*cMM**2d0*coupl(     &
              nGC_163)*coupl(nGC_168) + 12d0*cMM**2d0*coupl(nGC_164)*coupl(    &
              nGC_167) + 12d0*cMTA**2d0*coupl(nGC_186)*coupl(nGC_191) + 12d0*  &
              cMTA**2d0*coupl(nGC_187)*coupl(nGC_190) - 3d0*cMZ**2d0*coupl(    &
              nGC_91)*coupl(nGC_94) - 3d0*cMZ**2d0*coupl(nGC_92)*coupl(nGC_94  &
              ))/(6d0*MHA**2d0) + (4d0*MPA**2d0*Nc*Ten1162*coupl(nGC_194)*(-   &
              coupl(nGC_197) + coupl(nGC_198)) + 4d0*MPA**2d0*Nc*Ten1163*coupl(&
              nGC_132)*(-coupl(nGC_135) + coupl(nGC_136)) + 4d0*MPA**2d0*Nc*   &
              Ten1164*coupl(nGC_179)*(-coupl(nGC_182) + coupl(nGC_183)) - 4d0* &
              MPA**2d0*Nc*Ten1165*(coupl(nGC_147)*coupl(nGC_152) + coupl(      &
              nGC_148)*coupl(nGC_151)) - 4d0*MPA**2d0*Nc*Ten1166*(coupl(nGC_171&
              )*coupl(nGC_176) + coupl(nGC_172)*coupl(nGC_175)) - 4d0*MPA**2d0*&
              Nc*Ten1167*(coupl(nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(&
              nGC_144)) + 4d0*MPA**2d0*Nc*Ten1180*coupl(nGC_194)*(-coupl(      &
              nGC_197) + coupl(nGC_198)) + 4d0*MPA**2d0*Nc*Ten1181*coupl(      &
              nGC_132)*(-coupl(nGC_135) + coupl(nGC_136)) + 4d0*MPA**2d0*Nc*   &
              Ten1182*coupl(nGC_179)*(-coupl(nGC_182) + coupl(nGC_183)) - 4d0* &
              MPA**2d0*Nc*Ten1183*(coupl(nGC_147)*coupl(nGC_152) + coupl(      &
              nGC_148)*coupl(nGC_151)) - 4d0*MPA**2d0*Nc*Ten1184*(coupl(nGC_171&
              )*coupl(nGC_176) + coupl(nGC_172)*coupl(nGC_175)) - 4d0*MPA**2d0*&
              Nc*Ten1185*(coupl(nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(&
              nGC_144)) + 8d0*MPA**2d0*Ten1140*coupl(nGC_91)*coupl(nGC_94) +   &
              2d0*MPA**2d0*Ten1142*coupl(nGC_91)*coupl(nGC_94) + 8d0*MPA**2d0* &
              Ten1144*coupl(nGC_92)*coupl(nGC_94) + 2d0*MPA**2d0*Ten1146*coupl(&
              nGC_92)*coupl(nGC_94) - 4d0*MPA**2d0*Ten1159*(coupl(nGC_155)*    &
              coupl(nGC_160) + coupl(nGC_156)*coupl(nGC_159)) - 4d0*MPA**2d0*  &
              Ten1160*(coupl(nGC_163)*coupl(nGC_168) + coupl(nGC_164)*coupl(   &
              nGC_167)) - 4d0*MPA**2d0*Ten1161*(coupl(nGC_186)*coupl(nGC_191   &
              ) + coupl(nGC_187)*coupl(nGC_190)) - 4d0*MPA**2d0*Ten1177*(coupl(&
              nGC_155)*coupl(nGC_160) + coupl(nGC_156)*coupl(nGC_159)) - 4d0*  &
              MPA**2d0*Ten1178*(coupl(nGC_163)*coupl(nGC_168) + coupl(nGC_164)*&
              coupl(nGC_167)) - 4d0*MPA**2d0*Ten1179*(coupl(nGC_186)*coupl(    &
              nGC_191) + coupl(nGC_187)*coupl(nGC_190)) + 4d0*Nc*Ten1152*cMU** &
              2d0*coupl(nGC_194)*(coupl(nGC_197) - coupl(nGC_198)) + 4d0*Nc*   &
              Ten1153*cMC**2d0*coupl(nGC_132)*(coupl(nGC_135) - coupl(nGC_136  &
              )) + 4d0*Nc*Ten1154*cMT**2d0*coupl(nGC_179)*(coupl(nGC_182) -    &
              coupl(nGC_183)) - 4d0*Nc*Ten1155*cMD**2d0*(coupl(nGC_147)*coupl( &
              nGC_151) + coupl(nGC_148)*coupl(nGC_152)) - 4d0*Nc*Ten1156*cMS** &
              2d0*(coupl(nGC_171)*coupl(nGC_175) + coupl(nGC_172)*coupl(nGC_176&
              )) - 4d0*Nc*Ten1157*cMB**2d0*(coupl(nGC_139)*coupl(nGC_144) +    &
              coupl(nGC_140)*coupl(nGC_143)) + 16d0*Nc*Ten1171*coupl(nGC_194   &
              )*(-coupl(nGC_197) + coupl(nGC_198)) + 16d0*Nc*Ten1172*coupl(    &
              nGC_132)*(-coupl(nGC_135) + coupl(nGC_136)) + 16d0*Nc*Ten1173*   &
              coupl(nGC_179)*(-coupl(nGC_182) + coupl(nGC_183)) - 16d0*Nc*     &
              Ten1174*(coupl(nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl(   &
              nGC_151)) - 16d0*Nc*Ten1175*(coupl(nGC_171)*coupl(nGC_176) +     &
              coupl(nGC_172)*coupl(nGC_175)) - 16d0*Nc*Ten1176*(coupl(nGC_139)*&
              coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144)) - cima*Ten0*coupl&
              (nGC_28) - cima*Ten1*coupl(nGC_47) + 2d0*Ten1139*(4d0*MPA**2d0*  &
              coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_109)*coupl(nGC_120)) +   &
              8d0*Ten1141*coupl(nGC_91)*coupl(nGC_94) + 2d0*Ten1143*(4d0*MPA** &
              2d0*coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_112)*coupl(nGC_117   &
              )) + 8d0*Ten1145*coupl(nGC_92)*coupl(nGC_94) + 2d0*Ten1147*coupl(&
              nGC_113)*coupl(nGC_120) + 2d0*Ten1148*coupl(nGC_112)*coupl(      &
              nGC_121) - 4d0*Ten1149*cME**2d0*(coupl(nGC_155)*coupl(nGC_159) + &
              coupl(nGC_156)*coupl(nGC_160)) - 4d0*Ten1150*cMM**2d0*(coupl(    &
              nGC_163)*coupl(nGC_167) + coupl(nGC_164)*coupl(nGC_168)) - 4d0*  &
              Ten1151*cMTA**2d0*(coupl(nGC_186)*coupl(nGC_190) + coupl(nGC_187 &
              )*coupl(nGC_191)) - 16d0*Ten1168*(coupl(nGC_155)*coupl(nGC_160   &
              ) + coupl(nGC_156)*coupl(nGC_159)) - 16d0*Ten1169*(coupl(nGC_163 &
              )*coupl(nGC_168) + coupl(nGC_164)*coupl(nGC_167)) - 16d0*Ten1170 &
              *(coupl(nGC_186)*coupl(nGC_191) + coupl(nGC_187)*coupl(nGC_190   &
              )) - 2d0*cima*Ten13*coupl(nGC_42) - cima*Ten14*coupl(nGC_46) -   &
              cima*Ten2*coupl(nGC_29) - 2d0*cima*Ten3*coupl(nGC_43))/(2d0*MHA**&
              2d0))/(16d0*pi**2d0) - cima*(coupl(nGC_120)*dtHl_QED1/cMHL**2d0  &
               + coupl(nGC_112)*dtHh_QED1/cMHH**2d0)/MHA**2d0
    db_QED2 = cone*real(db_QED2,kind=dp)
  end if 
end subroutine set_ctparameter182
end module ctparameter182
