!******************************************************************************!
!                                                                              !
!    ctparameter21.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter21.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter21
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter21()
  dZZ_QED2 = (2d0*Nc*Ten1002*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 +   &
             2d0*Nc*Ten1003*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 + 2d0&
             *Nc*Ten1004*(coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0)/3d0 + 2d0*Nc&
             *Ten1005*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*  &
             Ten1006*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*   &
             Ten1007*(coupl(nGC_84)**2d0 + coupl(nGC_87)**2d0)/3d0 + 2d0*Nc*   &
             Ten1055*(-cMU**2d0*coupl(nGC_85)**2d0 + 6d0*cMU**2d0*coupl(nGC_85 &
             )*coupl(nGC_88) - cMU**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0&
             *rMZ**2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1056*(-  &
             cMC**2d0*coupl(nGC_85)**2d0 + 6d0*cMC**2d0*coupl(nGC_85)*coupl(   &
             nGC_88) - cMC**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0*rMZ**  &
             2d0 + coupl(nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1057*(-cMT**2d0&
             *coupl(nGC_85)**2d0 + 6d0*cMT**2d0*coupl(nGC_85)*coupl(nGC_88) -  &
             cMT**2d0*coupl(nGC_88)**2d0 + coupl(nGC_85)**2d0*rMZ**2d0 + coupl(&
             nGC_88)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1058*(-cMD**2d0*coupl(     &
             nGC_84)**2d0 + 6d0*cMD**2d0*coupl(nGC_84)*coupl(nGC_87) - cMD**2d0&
             *coupl(nGC_87)**2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten1059*(-cMS**2d0*coupl(nGC_84)**  &
             2d0 + 6d0*cMS**2d0*coupl(nGC_84)*coupl(nGC_87) - cMS**2d0*coupl(  &
             nGC_87)**2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten1060*(-cMB**2d0*coupl(nGC_84)**2d0 + 6d0&
             *cMB**2d0*coupl(nGC_84)*coupl(nGC_87) - cMB**2d0*coupl(nGC_87)**  &
             2d0 + coupl(nGC_84)**2d0*rMZ**2d0 + coupl(nGC_87)**2d0*rMZ**2d0)/ &
             3d0 - 2d0*Nc*coupl(nGC_84)**2d0/3d0 - 2d0*Nc*coupl(nGC_85)**2d0/  &
             3d0 - 2d0*Nc*coupl(nGC_87)**2d0/3d0 - 2d0*Nc*coupl(nGC_88)**2d0/  &
             3d0 + Ten0*(cMHA**2d0*coupl(nGC_94)**2d0 - cMHL**2d0*coupl(nGC_91 &
             )**2d0 - cMHL**2d0*coupl(nGC_94)**2d0 + cMZ**2d0*coupl(nGC_91)**  &
             2d0)/(3d0*rMZ**4d0) + Ten1*(cMHH**2d0*coupl(nGC_94)**2d0 + cMHL** &
             2d0*coupl(nGC_91)**2d0 - cMZ**2d0*coupl(nGC_91)**2d0 - cMZ**2d0*  &
             coupl(nGC_94)**2d0)/(3d0*rMZ**4d0) + 2d0*Ten1000*(coupl(nGC_86)** &
             2d0 + coupl(nGC_89)**2d0)/3d0 + 2d0*Ten1001*(coupl(nGC_86)**2d0 + &
             coupl(nGC_89)**2d0)/3d0 + 2d0*Ten1046*coupl(nGC_90)**2d0 + Ten1047&
             *coupl(nGC_94)**2d0*(cMHA**4d0 - 2d0*cMHA**2d0*cMHL**2d0 + cMHL** &
             4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten1048*coupl(nGC_92)**2d0*(cMHA &
             **4d0 - 2d0*cMHA**2d0*cMHH**2d0 + cMHH**4d0 - rMZ**4d0)/(3d0*rMZ**&
             4d0) + Ten1049*coupl(nGC_96)**2d0/3d0 + Ten1050*(4d0*cMW**2d0*    &
             coupl(nGC_81)**2d0 - 60d0*cMW**2d0*coupl(nGC_82)**2d0 - 16d0*cMW**&
             2d0*coupl(nGC_96)**2d0 + 24d0*coupl(nGC_107)**2d0 - coupl(nGC_81  &
             )**2d0*rMZ**2d0 - 39d0*coupl(nGC_82)**2d0*rMZ**2d0 + 4d0*coupl(   &
             nGC_96)**2d0*rMZ**2d0)/12d0 + Ten1051*coupl(nGC_96)**2d0*(-4d0*   &
             cMHC**2d0 + rMZ**2d0)/3d0 + 2d0*Ten1052*(-cME**2d0*coupl(nGC_86)**&
             2d0 + 6d0*cME**2d0*coupl(nGC_86)*coupl(nGC_89) - cME**2d0*coupl(  &
             nGC_89)**2d0 + coupl(nGC_86)**2d0*rMZ**2d0 + coupl(nGC_89)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Ten1053*(-cMM**2d0*coupl(nGC_86)**2d0 + 6d0*  &
             cMM**2d0*coupl(nGC_86)*coupl(nGC_89) - cMM**2d0*coupl(nGC_89)**2d0&
              + coupl(nGC_86)**2d0*rMZ**2d0 + coupl(nGC_89)**2d0*rMZ**2d0)/3d0 &
              + 2d0*Ten1054*(-cMTA**2d0*coupl(nGC_86)**2d0 + 6d0*cMTA**2d0*    &
             coupl(nGC_86)*coupl(nGC_89) - cMTA**2d0*coupl(nGC_89)**2d0 + coupl&
             (nGC_86)**2d0*rMZ**2d0 + coupl(nGC_89)**2d0*rMZ**2d0)/3d0 + 2d0*  &
             Ten1061*coupl(nGC_90)**2d0*rMZ**2d0 + Ten1062*(-cMHL**4d0*coupl(  &
             nGC_91)**2d0 + 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_91)**2d0 + 2d0*   &
             cMHL**2d0*coupl(nGC_91)**2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_91)**  &
             2d0 + 2d0*cMZ**2d0*coupl(nGC_91)**2d0*rMZ**2d0 + 3d0*coupl(nGC_128&
             )**2d0*rMZ**2d0 - coupl(nGC_91)**2d0*rMZ**4d0)/(3d0*rMZ**2d0) +   &
             Ten1063*(-cMHH**4d0*coupl(nGC_94)**2d0 + 2d0*cMHH**2d0*cMZ**2d0*  &
             coupl(nGC_94)**2d0 + 2d0*cMHH**2d0*coupl(nGC_94)**2d0*rMZ**2d0 -  &
             cMZ**4d0*coupl(nGC_94)**2d0 + 2d0*cMZ**2d0*coupl(nGC_94)**2d0*rMZ &
             **2d0 + 3d0*coupl(nGC_129)**2d0*rMZ**2d0 - coupl(nGC_94)**2d0*rMZ &
             **4d0)/(3d0*rMZ**2d0) + Ten1064*coupl(nGC_94)**2d0*(-cMHA**4d0 +  &
             2d0*cMHA**2d0*cMHL**2d0 + 2d0*cMHA**2d0*rMZ**2d0 - cMHL**4d0 + 2d0&
             *cMHL**2d0*rMZ**2d0 - rMZ**4d0)/(3d0*rMZ**2d0) + Ten1065*coupl(   &
             nGC_92)**2d0*(-cMHA**4d0 + 2d0*cMHA**2d0*cMHH**2d0 + 2d0*cMHA**2d0&
             *rMZ**2d0 - cMHH**4d0 + 2d0*cMHH**2d0*rMZ**2d0 - rMZ**4d0)/(3d0*  &
             rMZ**2d0) + Ten14*(-cMHA**2d0*coupl(nGC_92)**2d0 - cMHA**2d0*coupl&
             (nGC_94)**2d0 + cMHH**2d0*coupl(nGC_92)**2d0 + cMHL**2d0*coupl(   &
             nGC_94)**2d0)/(3d0*rMZ**4d0) + Ten2*(cMHA**2d0*coupl(nGC_92)**2d0 &
              - cMHH**2d0*coupl(nGC_92)**2d0 - cMHH**2d0*coupl(nGC_94)**2d0 +  &
             cMZ**2d0*coupl(nGC_94)**2d0)/(3d0*rMZ**4d0) + Ten995*coupl(nGC_91 &
             )**2d0*(cMHL**4d0 - 2d0*cMHL**2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0  &
             )/(3d0*rMZ**4d0) + Ten996*coupl(nGC_94)**2d0*(cMHH**4d0 - 2d0*cMHH&
             **2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten997*(-  &
             coupl(nGC_81)**2d0 - 39d0*coupl(nGC_82)**2d0 + 4d0*coupl(nGC_96)**&
             2d0)/12d0 + 2d0*Ten999*(coupl(nGC_86)**2d0 + coupl(nGC_89)**2d0)/ &
             3d0 - coupl(nGC_81)**2d0/18d0 - coupl(nGC_82)**2d0/6d0 - 2d0*coupl&
             (nGC_86)**2d0/3d0 - 2d0*coupl(nGC_89)**2d0/3d0 - 2d0*coupl(nGC_90 &
             )**2d0/3d0 - 2d0*coupl(nGC_91)**2d0/9d0 - 2d0*coupl(nGC_92)**2d0/ &
             9d0 - 4d0*coupl(nGC_94)**2d0/9d0 + 4d0*coupl(nGC_96)**2d0/9d0)/(  &
             16d0*pi**2d0)
end subroutine set_ctparameter21
end module ctparameter21
