!******************************************************************************!
!                                                                              !
!    ctparameter30.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter30.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter30
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter30()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHMinus_MS_QED2 = DeltaUV*(Nc*coupl(nGC_131)**2d0 + Nc*coupl(nGC_142)**2d0  &
                      + Nc*coupl(nGC_146)**2d0 + Nc*coupl(nGC_170)**2d0 + Nc*  &
                     coupl(nGC_178)**2d0 + Nc*coupl(nGC_193)**2d0 + coupl(     &
                     nGC_154)**2d0 + coupl(nGC_162)**2d0 - 2d0*coupl(nGC_17)** &
                     2d0 + coupl(nGC_185)**2d0 + 2d0*coupl(nGC_63)*coupl(nGC_64&
                     ) + 2d0*coupl(nGC_68)*coupl(nGC_69) + 2d0*coupl(nGC_72)** &
                     2d0 - 2d0*coupl(nGC_96)**2d0)/(16d0*pi**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter30
end module ctparameter30
