!******************************************************************************!
!                                                                              !
!    ctparameter63.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter63.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter63
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter63()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dtHh_MS_QED1 = cima*DeltaUV*(8d0*Nc*cMB**3d0*coupl(nGC_137) + 8d0*Nc*cMC**3d0&
                 *coupl(nGC_133) + 8d0*Nc*cMD**3d0*coupl(nGC_149) + 8d0*Nc*cMS &
                 **3d0*coupl(nGC_173) + 8d0*Nc*cMT**3d0*coupl(nGC_180) + 8d0*Nc&
                 *cMU**3d0*coupl(nGC_195) + 8d0*cME**3d0*coupl(nGC_157) - cMHA &
                 **2d0*coupl(nGC_121) - 2d0*cMHC**2d0*coupl(nGC_118) - cMHH**  &
                 2d0*coupl(nGC_105) - cMHL**2d0*coupl(nGC_106) + 8d0*cMM**3d0* &
                 coupl(nGC_165) + 8d0*cMTA**3d0*coupl(nGC_188) - 2d0*cMW**2d0* &
                 coupl(nGC_116) + 8d0*cMW**2d0*coupl(nGC_125) + 4d0*cMW**2d0*  &
                 coupl(nGC_71) - cMZ**2d0*coupl(nGC_117) + 4d0*cMZ**2d0*coupl( &
                 nGC_129) + 2d0*cMZ**2d0*coupl(nGC_95))/(32d0*pi**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter63
end module ctparameter63
