!******************************************************************************!
!                                                                              !
!    tcSSVV.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcSSVV.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcSSVV
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16
  contains
    subroutine treeSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, &
    wout, last, VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
      complex(kind=dp), intent(in), dimension(0:3) :: w3
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(SVVS0)
!       Metric(2,3)*c0
        wout(0) = -co(0)*w1(0)*(-w2(0)*w3(0) + w2(1)*w3(1) + w2(2)*w3(2) + w2(3&
                  )*w3(3))
        wout(1:3) = cnul
      case(VVSS0)
!       Metric(1,2)*c0
        wout(0) = -co(0)*w3(0)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1(3&
                  )*w2(3))
        wout(1:3) = cnul
      case(VSVS0)
!       Metric(1,3)*c0
        wout(0) = -co(0)*w2(0)*(-w1(0)*w3(0) + w1(1)*w3(1) + w1(2)*w3(2) + w1(3&
                  )*w3(3))
        wout(1:3) = cnul
      case(SVSV0)
!       Metric(2,4)*c0
        if (last) VB_last = .true.
        wout = -co(0)*w1(0)*w2(:)*w3(0)
      case(SSVV0)
!       Metric(3,4)*c0
        if (last) VB_last = .true.
        wout = -co(0)*w1(0)*w2(0)*w3(:)
      case(VSSV0)
!       Metric(1,4)*c0
        if (last) VB_last = .true.
        wout = -co(0)*w1(:)*w2(0)*w3(0)
      end select 
    end subroutine treeSSVV
end module tcSSVV
